[arch-commits] Commit in python-snakefood/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Nov 9 21:13:42 UTC 2018


    Date: Friday, November 9, 2018 @ 21:13:41
  Author: felixonmars
Revision: 404564

archrelease: copy trunk to community-staging-any

Added:
  python-snakefood/repos/community-staging-any/
  python-snakefood/repos/community-staging-any/PKGBUILD
    (from rev 404563, python-snakefood/trunk/PKGBUILD)

----------+
 PKGBUILD |   37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

Copied: python-snakefood/repos/community-staging-any/PKGBUILD (from rev 404563, python-snakefood/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-11-09 21:13:41 UTC (rev 404564)
@@ -0,0 +1,37 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Josip Ponjavic <josipponjavic at gmail dot com>
+# Contributor: Xu Fasheng <fasheng.xu[AT]gmail.com>
+
+pkgbase=python-snakefood
+pkgname=python2-snakefood
+pkgver=1.4.0.20160605
+_revision=6d55510bd30bf731ef9b4de5242733d12a478295
+pkgrel=2
+pkgdesc='Dependency Graphing for Python'
+arch=('any')
+url="http://furius.ca/snakefood"
+license=('GPL')
+depends=('python2-six')
+makedepends=('mercurial')
+checkdepends=('python2-pytest')
+source=("hg+https://bitbucket.org/blais/snakefood#revision=$_revision")
+sha256sums=('SKIP')
+
+prepare() {
+  sed -i 's|/usr/bin/env python|/usr/bin/env python2|' snakefood/bin/*
+}
+
+build() {
+  cd snakefood
+  python2 setup.py build
+}
+
+check() {
+  cd snakefood
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" py.test2 || warning "Tests are broken"
+}
+
+package_python2-snakefood() {
+  cd snakefood
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}



More information about the arch-commits mailing list